Loading...
Searching...
No Matches
pw-mididump

The PipeWire MIDI dump

# SYNOPSIS

pw-mididump [options] [FILE]

# DESCRIPTION

Dump MIDI messages to stdout.

When a MIDI file is given, the events inside the file are printed.

When no file is given, pw-mididump creates a PipeWire MIDI input stream and will print all MIDI events received on the port to stdout.

# OPTIONS

-r | --remote=NAME
  The name the remote instance to monitor. If left unspecified, a connection is made to the default PipeWire instance.

-h | --help
  Show help.

--version
  Show version information.

# AUTHORS

The PipeWire Developers <https://gitlab.freedesktop.org/pipewire/pipewire/issues>; PipeWire is available from <https://pipewire.org>

# SEE ALSO

pipewire(1), pw-cat(1)